gstreamer1.0-opencv_1.14.5-0ubuntu1~18.04.1_amd64.deb


Advertisement

Description

gstreamer1.0-opencv - GStreamer OpenCV plugins

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Universe amd64
Package filename gstreamer1.0-opencv_1.14.5-0ubuntu1~18.04.1_amd64.deb
Package name gstreamer1.0-opencv
Package version 1.14.5
Package release 0ubuntu1~18.04.1
Package architecture amd64
Package type deb
Category universe/libs
Homepage https://gstreamer.freedesktop.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 101.79 KB
Installed size 301.00 KB
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data.  Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.
GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're missing
something - be it a good code review, some documentation, a set of tests, a
real live maintainer, or some actual wide use.
This package contains the OpenCV plugins.

Alternatives

Package Version Architecture Repository
gstreamer1.0-opencv_1.14.5-0ubuntu1~18.04.1_i386.deb 1.14.5 i386 Ubuntu Updates Universe
gstreamer1.0-opencv_1.14.0-1ubuntu1_i386.deb 1.14.0 i386 Ubuntu Universe
gstreamer1.0-opencv_1.14.0-1ubuntu1_amd64.deb 1.14.0 amd64 Ubuntu Universe
gstreamer1.0-opencv - - -

Requires

Name Value
gstreamer1.0-plugins-base -
libc6 >= 2.14
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.40
libgstreamer-opencv1.0-0 = 1.14.5-0ubuntu1~18.04.1
libgstreamer-plugins-bad1.0-0 = 1.14.5-0ubuntu1~18.04.1
libgstreamer-plugins-base1.0-0 >= 1.14.5
libgstreamer1.0-0 >= 1.14.5
libopencv-calib3d3.2 -
libopencv-contrib3.2 -
libopencv-core3.2 -
libopencv-imgcodecs3.2 -
libopencv-imgproc3.2 -
libopencv-objdetect3.2 -
libopencv-video3.2 -
libstdc++6 >= 5

Conflicts

Name Value
gstreamer1.0-plugins-bad << 1.13.1

Replaces

Name Value
gstreamer1.0-plugins-bad << 1.13.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gstreamer1.0-opencv_1.14.5-0ubuntu1~18.04.1_amd64.deb
Source Package gst-plugins-bad1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gstreamer1.0-opencv deb package:
    # sudo apt-get install gstreamer1.0-opencv

Files

Path
/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstopencv.so
/usr/share/doc/gstreamer1.0-opencv/AUTHORS
/usr/share/doc/gstreamer1.0-opencv/NEWS.gz
/usr/share/doc/gstreamer1.0-opencv/README.Debian
/usr/share/doc/gstreamer1.0-opencv/README.gz
/usr/share/doc/gstreamer1.0-opencv/changelog.Debian.gz
/usr/share/doc/gstreamer1.0-opencv/copyright

Changelog

2019-07-04 - Iain Lane <iain.lane@canonical.com>
gst-plugins-bad1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium
* New upstream bugfix release (LP: #1832123)
* Update references to 1.14.5
2019-05-16 - Iain Lane <iain.lane@canonical.com>
gst-plugins-bad1.0 (1.14.4-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium
* No-change backport to bionic (LP: #1829366)
2018-10-05 - Iain Lane <iain.lane@canonical.com>
gst-plugins-bad1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium
* Merge with Debian unstable; remaining changes:
+ Stop installing camerabin2 basecamerabin jpegformat - plugins which have
moved to -good.
+ Provide gstreamer-plugins-bad-1.0.pc with Requires on
gstreamer-plugins-good-1.0 - the package we've moved the referenced
library to. This maintains compatibility with upstream software and
other distributions.
+ debian/control{,.in}: Update Vcs-* for Ubuntu
* debian/gbp.conf: Set the debian-branch to ubuntu
2018-10-03 - Sebastian Dröge <slomo@debian.org>
gst-plugins-bad1.0 (1.14.4-1) unstable; urgency=medium
* New upstream bugfix release
2018-09-17 - Sebastian Dröge <slomo@debian.org>
gst-plugins-bad1.0 (1.14.3-1) unstable; urgency=medium
[ Hugh McMaster ]
* gir1.2-gst-plugins-bad-1.0: Install the typelibs into a multi-arch
library directory.
* debian/control.in:
- Mark gir1.2-gst-plugins-bad-1.0 Multi-Arch: same.
- Remove a duplicate ${gir:Depends} from gir1.2-gst-plugins-bad-1.0.
- Mark libgstreamer-plugins-bad1.0-dev Multi-Arch: same.
[ Sebastian Dröge ]
* New upstream bugfix release.
2018-07-24 - Gianfranco Costamagna <locutusofborg@debian.org>
gst-plugins-bad1.0 (1.14.2-1ubuntu1) cosmic; urgency=low
* Merge from Debian unstable.  Remaining changes:
+ Stop installing camerabin2 basecamerabin jpegformat - plugins which have
moved to -good.
+ Provide gstreamer-plugins-bad-1.0.pc with Requires on
gstreamer-plugins-good-1.0 - the package we've moved the referenced
library to. This maintains compatibility with upstream software and
other distributions.
+ debian/control{,.in}: Update Vcs-* for Ubuntu
2018-07-23 - Sebastian Dröge <slomo@debian.org>
gst-plugins-bad1.0 (1.14.2-1) unstable; urgency=medium
* New upstream bugfix release
2018-06-13 - Matthias Klose <doko@ubuntu.com>
gst-plugins-bad1.0 (1.14.1-1ubuntu2) cosmic; urgency=medium
* No-change rebuild for x265 soname change.
2018-05-23 - Iain Lane <iain.lane@canonical.com>
gst-plugins-bad1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium
* Merge with Debian unstable (LP: #1772898); remaining changes:
+ Stop installing camerabin2 basecamerabin jpegformat - plugins which have
moved to -good.
+ Provide gstreamer-plugins-bad-1.0.pc with Requires on
gstreamer-plugins-good-1.0 - the package we've moved the referenced
library to. This maintains compatibility with upstream software and
other distributions.
+ debian/control{,.in}: Update Vcs-* for Ubuntu
2018-05-18 - Sebastian Dröge <slomo@debian.org>
gst-plugins-bad1.0 (1.14.1-1) unstable; urgency=medium
* New upstream bugfix release

See Also

Package Description
gstreamer1.0-plugins-bad-doc_1.14.5-0ubuntu1~18.04.1_all.deb GStreamer documentation for plugins from the "bad" set
gstreamer1.0-plugins-bad_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer plugins from the "bad" set
gstreamer1.0-plugins-ugly-doc_1.14.5-0ubuntu1~18.04.1_all.deb GStreamer documentation for plugins from the "ugly" set
gstreamer1.0-plugins-ugly_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer plugins from the "ugly" set
gstreamer1.0-python3-dbg-plugin-loader_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer Loader for Python Plugin (Python 3, debug extensions)
gstreamer1.0-python3-plugin-loader_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer Loader for Python Plugin (Python 3)
gstreamer1.0-qt5_1.14.5-0ubuntu1~18.04.1_amd64.deb GStreamer plugin for Qt5
gstreamer1.0-rtsp_1.14.5-0ubuntu1~18.04.1_amd64.deb RTSP plugin for GStreamer
gstreamer1.0-vaapi-doc_1.14.5-0ubuntu1~ubuntu18.04.1_all.deb GStreamer VA-API documentation and manuals
gstreamer1.0-vaapi_1.14.5-0ubuntu1~ubuntu18.04.1_amd64.deb VA-API plugins for GStreamer
gtk3-engines-breeze_5.12.8-0ubuntu0.1_all.deb Transitional package for KDE's Breeze
guestfsd_1.36.13-1ubuntu3.3_amd64.deb Daemon to access to guest virtual machine through virtio serial
guile-2.2-dev_2.2.3+1-3ubuntu0.1_amd64.deb Development files for Guile 2.2
guile-2.2-doc_2.2.3+1-3ubuntu0.1_all.deb Documentation for Guile 2.2
guile-2.2-libs_2.2.3+1-3ubuntu0.1_amd64.deb Core Guile libraries
Advertisement
Advertisement